Bug 587419 - [abrt] crash in SwTxtFtn::CopyFtn
[abrt] crash in SwTxtFtn::CopyFtn
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
abrt_hash:11d70c414b83f7d24152e92f6a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 16:43 EDT by Durand D'souza
Modified: 2010-06-02 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: openoffice.org-3.2.0-12.23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 14:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.16 KB, text/plain)
2010-04-29 16:44 EDT, Durand D'souza
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 111286 None None None Never
OpenOffice.org 31225 None None None Never

  None (edit)
Description Durand D'souza 2010-04-29 16:43:57 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer file:///home/durand/Desktop/lab_report.odt
comment: I can't add a reference to a text box without OOo crashing. I'm not really sure what's causing this.
component: openoffice.org
executable: /usr/lib64/openoffice.org3/program/swriter.bin
global_uuid: 11d70c414b83f7d24152e92f6a40bdb301b3bada
kernel: 2.6.33.1-24.fc13.x86_64
package: openoffice.org-writer-1:3.2.0-12.17.fc13
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: Try to add a reference to a text box
Comment 1 Durand D'souza 2010-04-29 16:44:04 EDT
Created attachment 410227 [details]
File: backtrace
Comment 2 Durand D'souza 2010-04-29 18:15:40 EDT
Let me make that "Cannot copy a reference into a text box". It seems that adding references to text boxes has been disabled anyway.
Comment 3 David Tardon 2010-04-30 02:02:41 EDT
Could you be a bit more specific as to the steps to reproduce, please? The crash happened on copying a footnote, so I think you meant footnote, not (cross-)reference, right? And what is text box: a form's text box?
Comment 4 Durand D'souza 2010-04-30 05:05:35 EDT
Ahh. Sorry, I meant a frame and it crashes when trying to copy a footnote.
Comment 5 David Tardon 2010-04-30 06:29:42 EDT
Reproducible.
Comment 6 David Tardon 2010-04-30 08:36:35 EDT
fix committed, will be in >=3.2.0-12.19.fc13
Comment 7 Durand D'souza 2010-04-30 15:10:55 EDT
Wow, very quick! What was the problem?
Comment 8 David Tardon 2010-05-02 08:34:21 EDT
Just a missing check if copying of attribute failed (footnote is a kind of field and fields are represented internally in the same way as formatting attributes). One of possible causes of such failure is that the attribute is not allowed in the target context, which is exactly what happened here.
Comment 9 Durand D'souza 2010-05-02 09:12:19 EDT
Ah ok. So you basically disabled copying footnotes into a frame.
Comment 10 David Tardon 2010-05-02 10:03:17 EDT
No, that has always been disabled.
Comment 11 Fedora Update System 2010-05-08 04:42:22 EDT
openoffice.org-3.2.0-12.21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13
Comment 12 Fedora Update System 2010-05-08 12:10:40 EDT
openoffice.org-3.2.0-12.21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13
Comment 13 Durand D'souza 2010-05-08 20:24:13 EDT
This has been fixed with the latest update.
Comment 14 Fedora Update System 2010-05-22 03:21:41 EDT
openoffice.org-3.2.0-12.23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13
Comment 15 Fedora Update System 2010-05-24 15:43:46 EDT
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13
Comment 16 Iwao Yagami 2010-05-31 11:13:34 EDT
Package: openoffice.org-writer-1:3.2.0-12.17.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Write a page or two in Writer
2. Insert a footnote field on a page
3. Highlight text that was already typed and attempt to drag it to the footnote area.

Comment
-----
This failed the only time I tried it. I'm working now and don't have time to fully test this bug (I'm suddenly very thankful for the crash recovery auto-saves OpenOffice makes!). Might test this more later. Should be simple to reproduce.
Comment 17 Fedora Update System 2010-06-02 14:08:57 EDT
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.